use core::ffi::{c_char, c_int, c_void};

pub type nl_catd = *mut c_void;
pub type nl_item = c_int;

pub const NL_SETD: c_int = 1 << 0;
pub const NL_CAT_LOCALE: c_int = 1 << 1;

#[no_mangle]
unsafe extern "C" fn catclose(_cat: nl_catd) -> c_int {
    todo!()
}

#[no_mangle]
unsafe extern "C" fn catgets(
    _cat: nl_catd,
    _set_number: c_int,
    _message_number: c_int,
    _message: *const c_char,
) -> *mut c_char {
    todo!()
}

#[no_mangle]
unsafe extern "C" fn catopen(_name: *const c_char, _flag: c_int) -> nl_catd {
    todo!()
}
